<!DOCTYPE html>
<html lang='en'>

<head>
	<meta charset='UTF-8'>
	<meta http-equiv='X-UA-Compatible' content='IE=edge'>
	<meta name='viewport' content='width=device-width, initial-scale=1.0'>
	<link rel='stylesheet' href='../CSS and JS\style.css'>
	<link rel='stylesheet' href='../CSS and JS\prism.css'>
	<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

	<title>std::cin</title>
</head>

<body>
	<h1>std::cin</h1>
	<a href="https://en.cppreference.com/w/cpp/io/cin">For mer info klikk her.</a>
	<p>
		std::cin er c++ sin metode for å få in tekst fra bruker i terminalen.
		For å bruke std::cin må man inkludere &ltiostream&gt.
		I eksempelet under ser du hvordan man bruker std::cin.
	</p>
	<pre>
		<button class="copy" title="Copy"><i class="material-icons" style="font-size: 1rem; position: relative; top: .15rem;">content_copy</i></button>
<code class="language-cpp">
#include &ltiostream&gt
int main()
{
	std::string name;
	std::cout << "What is your name? ";
	std::cin >> name;
	std::cout << "Your name is " << name << ".\n";
}
</code>
	</pre>
	<p>
		Her tar vi inn en streng og printer den ut igjen.
		Merk at vi kan velge andre typer enn <i>string</i>, vi kan for eksempel også velge <i>char</i> go <i>int</i>.
	</p>
	<p>
		Hvis du tester programmet og skriver ut ditt fulle navn vil du oppdage at den bare skriver ut fornavnet.
		Dette er fordi mellomrom vil dele opp inputten din.
	</p>
	<p>
		Obs: inputten vil bli værende der, så neste gang du henter noe fra brukeren kan rester fra forrige gang komme inn
		istedenfor.
	</p>
	<p>
		La oss nå lage et program som kan ta inn fornavn, etternavn og alder.
	</p>
	<pre>
		<button class='copy' title='Copy'><i class="material-icons" style="font-size: 1rem; position: relative; top: .1rem;">content_copy</i></button>
<code class='language-cpp'>
std::string first_name, sur_name;
int age;
std::cout << "What is your name and age? (first_name sur_name age) ";
std::cin >> first_name >> sur_name >> age;
std::cout << "You are " << first_name << " " << sur_name << " (" << age << ").\n";
</code>
	</pre>
	<p>
		Av og til vet man ikke hvor mange mellomrom brukeren kommer til å bruke.
		I eksempelet under bruker vi funksjonen getline i kombinasjon med std::cin for å hente inn en hel setning.
	</p>
	<pre>
		<button class="copy" title="Copy"><i class="material-icons" style="font-size: 1rem; position: relative; top: .15rem;">content_copy</i></button>
<code class='language-cpp'>
#include &ltiostream&gt
int main()
{
	std::string sentence;
	std::cout << "Input: ";
	
	getline(std::cin, sentence);
	
	std::cout << "Your input: " << sentence << std::endl;
}
</code>
	</pre>
	<p>
		<a href="https://en.cppreference.com/w/cpp/string/basic_string/getline">For mer info om getline klikk her.</a> <br>
		Se artikkelen om cout for å lese om hvordan man printer ut til terminalen.
	</p>

	<script src='../CSS and JS\prism.js'></script>
	<script src='../CSS and JS/copy.js'></script>
</body>

</html